Name: x11-driver-video-fbdev
Version: 0.4.4
Release: %mkrel 17
Summary: X.org driver for Linux FBDev
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-fbdev-%{version}.tar.bz2
License: MIT

# upstream fixes
Patch001: 0001-Default-to-32bpp-if-the-console-is-8bpp-and-we-weren.patch
Patch002: 0002-Use-own-thunk-functions-instead-of-fbdevHW-Weak.patch
Patch003: 0003-Pass-the-pci-device-if-any-through-to-fbdevhw-in-pro.patch
# Patch fixing a segfault, will be sent upstream
Patch004: 0001-Initialize-pci_dev.patch

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-fbdev is the X.org driver for Linux FBDev.

%prep
%setup -q -n xf86-video-fbdev-%{version}
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/fbdev_drv.la
%{_libdir}/xorg/modules/drivers/fbdev_drv.so
%{_mandir}/man4/fbdev.*




%changelog
* Thu Nov 17 2016 tv <tv> 0.4.4-17.mga6
+ Revision: 1067660
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.4.4-16.mga6
+ Revision: 1043237
- rebuild for xorg-server 1.18.4

* Fri Jan 22 2016 pterjan <pterjan> 0.4.4-15.mga6
+ Revision: 926391
- Fix a segfault on arm

* Thu Nov 12 2015 daviddavid <daviddavid> 0.4.4-14.mga6
+ Revision: 902696
- rebuild for xserver 1.18

* Sat Jun 20 2015 tv <tv> 0.4.4-13.mga6
+ Revision: 835935
- rebuild for xserver 1.17

* Wed Mar 11 2015 tmb <tmb> 0.4.4-12.mga5
+ Revision: 818330
- re-enable P1-P3

* Mon Mar 09 2015 tmb <tmb> 0.4.4-11.mga5
+ Revision: 818245
- disable p2, p3 too as tey depend on p1
- disable p1 (default to 32bit if console is 8bit)

* Thu Jan 29 2015 tmb <tmb> 0.4.4-10.mga5
+ Revision: 812662
- Default to 32bpp if the console is 8bpp (unless otherwise defined)
- Use own thunk functions instead of fbdevHW*Weak
- Pass the pci device (if any) through to fbdevhw in probe and preinit

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-9.mga5
+ Revision: 748055
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-8.mga5
+ Revision: 690429
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.4.4-7.mga5
+ Revision: 634964
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.4.4-6.mga5
+ Revision: 633633
- rebuild for new xserver RC

* Fri Jun 06 2014 tv <tv> 0.4.4-5.mga5
+ Revision: 633622
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.4.4-4.mga5
+ Revision: 614308
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.4.4-3.mga5
+ Revision: 582231
- rebuild for new xserver

* Mon Oct 21 2013 umeabot <umeabot> 0.4.4-2.mga4
+ Revision: 537411
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 tv <tv> 0.4.4-1.mga4
+ Revision: 486973
- new release

* Thu May 30 2013 tv <tv> 0.4.3-4.mga4
+ Revision: 433102
- submit to core/release

* Thu May 23 2013 tv <tv> 0.4.3-3.mga4
+ Revision: 425634
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 0.4.3-3.mga3
+ Revision: 385981
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 0.4.3-2.mga3
+ Revision: 288931
- rebuild for new xserver

* Thu Jul 12 2012 tv <tv> 0.4.3-1.mga3
+ Revision: 270182
- new release

* Wed Jun 06 2012 tmb <tmb> 0.4.2-10.mga3
+ Revision: 256387
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.4.2-9.mga3
+ Revision: 252963
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.4.2-8.mga3
+ Revision: 249799
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 0.4.2-7.mga2
+ Revision: 177454
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.4.2-6.mga2
+ Revision: 153300
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.4.2-5.mga2
+ Revision: 153087
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.4.2-4.mga1
+ Revision: 64393
- rebuild for new xserver-1.10

* Sun Jan 23 2011 blino <blino> 0.4.2-3.mga1
+ Revision: 35262
- imported package x11-driver-video-fbdev

